Subject: bug#61976: [elpa/yasnippet] [PATCH] Fix compilation warnings in Emacs 29

From: João Távora <[email-masked]>
Date: Sat, 2 Sep 2023 05:21:32 +0100

On Sat, Sep 2, 2023, 00:59 Stefan Kangas <[email-masked]> wrote:

> João Távora <[email-masked]> writes:
>
> > People, I have to say I don't pay much attention to yasnippet these days.
> > I'm not the maintainer anymore, but Noam has also been absent for quite
> some
> > time.  I think it's time I archive the repository and it lives on in
> > elpa.git.
> >
> > Then you can push this and all and other patches there.
>
> Another alternative would be to see if there's anyone in the community
> that's willing to take over its maintenance, if Noam is indeed no
> longer up for it.  I think the cool kids these days put up an
> advertisement on Reddit, or something like that.  The less hip option
> is to announce it in the project README.  As we were recently reminded
> on emacs-devel, you could even send some link to Sacha for the Emacs
> newsletter.
>

Any of those is fine with me.

>
> Whichever way you decide to go, there are a couple of probably
> easy-to-merge patches in the pull requests on GitHub.  Maybe you'd
> want to click "Merge" on a few of those first.
>

Can you make a list of the safest/most important ones? (keeping on mind
things like backward-compatibility, etc...).

João